commit:     99ea91164f339ee4e267439127dfecc20cc478e8
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jun  5 03:10:04 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jun  5 03:42:22 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=99ea9116

dev-python/aws-sam-translator: Bump to 1.98.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/aws-sam-translator/Manifest             |  1 +
 .../aws-sam-translator-1.98.0.ebuild               | 62 ++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-python/aws-sam-translator/Manifest 
b/dev-python/aws-sam-translator/Manifest
index 40ae60811c47..efbf3e356be4 100644
--- a/dev-python/aws-sam-translator/Manifest
+++ b/dev-python/aws-sam-translator/Manifest
@@ -1 +1,2 @@
 DIST serverless-application-model-1.97.0.gh.tar.gz 5891456 BLAKE2B 
6a568333110eed9a219d489f7ec566cee595654f0d75b8fb5cf89d4a32b64862549ba6c5d10f195d82a48bd44c0529425eec0150775df16025a33c0135ad9232
 SHA512 
4489410aa77c831e5b85b0e0f3f25a77b4b9a14947159c2a23f29b241d7e2858922847df41b24a1d784ea412019f2ed5a395773e42925bc1cc479c9ca1c4602c
+DIST serverless-application-model-1.98.0.gh.tar.gz 5905089 BLAKE2B 
68c5b12c9f5654bd2124d9f17999ece147686759db9d43e7bdf28f81ec92e616f73666594ac9c72b22e36ae4254fc19dc6663692d44ef8c7dedeab115fa0ee3c
 SHA512 
57319c501d345aaa960194155e62d03a87a7a1a3f34944d0aedc3107940018031f10a46ea9f6fd1a4aae6a12c6cb2bf852ca5892c4fb69baf63be5b3c8c16420

diff --git a/dev-python/aws-sam-translator/aws-sam-translator-1.98.0.ebuild 
b/dev-python/aws-sam-translator/aws-sam-translator-1.98.0.ebuild
new file mode 100644
index 000000000000..1108409778cc
--- /dev/null
+++ b/dev-python/aws-sam-translator/aws-sam-translator-1.98.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1 multiprocessing
+
+MY_P=serverless-application-model-${PV}
+DESCRIPTION="A library that transform SAM templates into AWS CloudFormation 
templates"
+HOMEPAGE="
+       https://github.com/aws/serverless-application-model/
+       https://pypi.org/project/aws-sam-translator/
+"
+SRC_URI="
+       
https://github.com/aws/serverless-application-model/archive/v${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+       <dev-python/boto3-2[${PYTHON_USEDEP}]
+       >=dev-python/boto3-1.19.5[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-3.2[${PYTHON_USEDEP}]
+       <dev-python/pydantic-3[${PYTHON_USEDEP}]
+       >=dev-python/pydantic-1.8[${PYTHON_USEDEP}]
+       <dev-python/typing-extensions-5[${PYTHON_USEDEP}]
+       >=dev-python/typing-extensions-4.4[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/parameterized[${PYTHON_USEDEP}]
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # so much noise...
+       sed -i -e '/log_cli/d' pytest.ini || die
+
+       # deps are installed by ebuild, don't try to reinstall them via pip
+       truncate --size=0 requirements/*.txt || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       local -x AWS_DEFAULT_REGION=us-east-1
+       epytest -o addopts= -o filterwarnings= \
+               -p xdist -n "$(makeopts_jobs)" --dist=worksteal
+}

Reply via email to